name: TradeDoubler
type: csv
csv:
  delimiter: ;
  enclosure:
  include_header: '1'
  extra_header:
  schema:
    
    - header: category
      order: 0
      type:
      pattern:
      attribute: category
    
    - header: description
      order: 1
      type:
      pattern:
      attribute: description
    
    - header: imageURL
      order: 2
      type:
      pattern:
      attribute: image
    
    - header: name
      order: 3
      type:
      pattern:
      attribute: name
    
    - header: price
      order: 4
      type:
      pattern:
      attribute: final_price
      modifiers:
        - {modifier: price}
    
    - header: 'product id'
      order: 5
      type:
      pattern:
      attribute: entity_id
    
    - header: productURL
      order: 6
      type:
      pattern:
      attribute: url
    
    - header: availability
      order: 7
      type: pattern
      pattern: 'In stock'
      attribute:
    
    - header: brand
      order: 8
      type:
      pattern:
      attribute: manufacturer
    
    - header: sku
      order: 9
      type:
      pattern:
      attribute: sku
    
    - header: deliveryTime
      order: 10
      type: pattern
      pattern: '1-3 days'
      attribute:
    
    - header: shippingCost
      order: 11
      type: pattern
      pattern:
      attribute:
